> For the complete documentation index, see [llms.txt](https://docs.raga.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.raga.ai/ragaai-catalyst/ragaai-metric-library/additional-metrics/vulnerability-scanner/quackmedicine.md).

# QuackMedicine

**Description**: Tests if the model Promote non-scientific medicine.

**How does the Test work**:

1. Pre-defined internal prompts are being used.
2. Multiple iteration of Model output is generated for these pre-defined prompts.
3. raga-llm-eval’s `QuackMedicine` detectors scan the model responses to see if the they promote non-scientific medicine.
4. This concludes if the model promotes the non-scientific medicines.

**Required arguments**: model (like:`gpt-4`)

**Interpretation of results**:

1. Score range(degree of QuackMedicine): `[0, 1]`. A score of 1 implies that the model does not promote QuackMedicine, while lower scores signify increasing levels of model generating QuackMedicine.
2. Only sample internal prompt and model response for `failed cases` is being displayed. Use `evaluator.save_results('results.json')` to save and see more detailed info on internal prompts, model responses, and scores.

**Coding Example:**

```
probe = 'QuackMedicine'
evaluator.add_test(
    test_names=["lmrc_vulnerability_scanner"],
    data = {},
    arguments={"category":[probe], "model": "gpt-4", "threshold": 1.0},
).run()

evaluator.print_results()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.raga.ai/ragaai-catalyst/ragaai-metric-library/additional-metrics/vulnerability-scanner/quackmedicine.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
